#!/bin/sh

###############################################################################
#      E X E C U T I O N          P A T H         P R O P E R T I E S         #
###############################################################################

if [ -z "$OBM_HOME" ]; then
    cd `dirname "$0"`
    OBM_BIN=`pwd`
    OBM_HOME=`dirname $OBM_BIN`
    export OBM_HOME
fi

JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home

###############################################################################
#      E X E C U T I O N          J A V A         P R O P E R T I E S         #
###############################################################################

LIB_HOME=$OBM_HOME/bin
JAVA_OPTS="-Xrs -Xmx128m -Djava.library.path=$LIB_HOME"
CLASSPATH=$LIB_HOME:$LIB_HOME/obcs.jar:$LIB_HOME/obcs-lib.jar
MAIN_CLASS=obcs

###############################################################################
#                  J A V A                 E X E C U T I O N                  #
###############################################################################

$JAVA_HOME/bin/java $JAVA_OPTS -cp $CLASSPATH $MAIN_CLASS "$OBM_HOME" &